| Method | GET |
|---|---|
| Endpoint | https://{{host}}/api/public/stream/{{streamId}}/qna/{{ExtractionId}}/questions?limit=&offset= |
| Content Type | application/json |
| Authorization | auth: {{YOUR_JWT_ACCESS_TOKEN}} See How to generate the JWT Token. |
| API Scope | App Builder: Manage Knowledge Graph; Admin Console: Manage Knowledge Graph |
Path Parameters
| Parameter | Description | Required |
|---|---|---|
host | The environment URL. For example, https://platform.kore.ai | Required |
streamId | The Stream ID found under General Settings on the App Builder. | Required |
ExtractionId | The Extraction ID used to identify the extraction of the questions. | Required |
Query Parameters
| Parameter | Description | Required |
|---|---|---|
limit | Number of records to fetch. Defaults to 50. | Optional |
offset | Number of records to skip. Defaults to 0. | Optional |
Sample Request
curl --location 'https://{{host}}/api/public/stream/{{streamId}}/qna/{{ExtractionId}}/questions?limit=20&offset=0' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json'
Body Parameters
No body parameters are passed.Sample Response
{
"extractions": [
{
"_id": "qna-64xxxxxx-axx5-5xx1-b2xx-exxxxxxxxxxa",
"status": true,
"question": "Am I going to be charged for this security feature?",
"answer": "As of now, this service is free of charge and is a security measure for your online account safety.",
"language": "en",
"kEId": "ke-xxxxx-xxx-xxx-xxx-xxxxx",
"createdBy": "u-xxxxx-xxx-xxxx-xxx-xxxxx",
"streamId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
"createdOn": "2020-01-03T06:59:19.472Z",
"modifiedOn": "2020-01-03T06:59:19.472Z",
"__v": 0
}
]
}